# ``twisted`.`python`.`syslog`.`SyslogObserver``

class documentation

`class SyslogObserver: (source)`

View In Hierarchy

A log observer for logging to syslog.

See `twisted.python.log` for context.

This logObserver will automatically use LOG_ALERT priority for logged failures (such as from `log.err()`), but you can use any priority and facility by setting the '`syslogPriority`' and '`syslogFacility`' keys in the event dict.

Method | `__init__` |
Method | `emit` | Send a message event to the syslog.

def __init__(self, prefix, options=DEFAULT_OPTIONS, facility=DEFAULT_FACILITY): (source)

Parameters
prefix:`str` | The syslog prefix to use.
options:`int` | A bitvector represented as an integer of the syslog options to use.
facility:`int` | An indication to the syslog daemon of what sort of program this is (essentially, an additional arbitrary metadata classification for messages sent to syslog by this observer).

def emit(self, eventDict): (source)
Send a message event to the syslog.

Parameters

eventDict

The event to send. If it has no `'message'` key, it will be ignored. Otherwise, if it has `'syslogPriority'` and/or `'syslogFacility'` keys, these will be used as the syslog priority and facility. If it has no `'syslogPriority'` key but a true value for the `'isError'` key, the LOG_ALERT priority will be used; if it has a false value for `'isError'`, LOG_INFO will be used. If the `'message'` key is multiline, each line will be sent to the syslog separately.